Get a suppression
GET
/workspaces/{workspaceId}/suppressions/{platformId}/{identifierValue}
Retrieve one workspace-platform-level suppression
响应载荷
platformId
string
必填
Possible values: apple-business-chat, chat, email-sparkpost, facebook-messenger, google-business-messages, instagram, line, linkedin, push-notifications, rcs-google, sms-messagebird, sms-twilio, telegram, tiktok, viber, voice-messagebird, wechat, whatsapp
platformType
string
Possible values: sms, email, whatsapp, rcs
identifierValue
string
必填
suppressedForOriginators
array of object
List of channel identifiers that this suppression was created for. When this field is absent, the suppression is global to the workspace-recipient tuple.
显示子属性
suppressedForOriginators.channelIdentifier
string
必填
suppressedFor
object
必填
显示子属性
suppressedFor.marketing
boolean
必填
suppressedFor.transactional
boolean
必填
reasons
object
必填
显示子属性
reasons.marketing
string
Possible values: unknown, unsubscribed, spam_complaint, email_bounced, email_invalid, phone_invalid, phone_invalid_unknown_subscriber, manually_suppressed, imported
reasons.transactional
string
Possible values: unknown, unsubscribed, spam_complaint, email_bounced, email_invalid, phone_invalid, phone_invalid_unknown_subscriber, manually_suppressed, imported
contactSuppressedMarketingAt
string
contactSuppressedMarketingReason
string
contactSuppressedTransactionalAt
string
contactSuppressedTransactionalReason
string
marketerSuppressedMarketingAt
string
marketerSuppressedMarketingReason
string
marketerSuppressedTransactionalAt
string
marketerSuppressedTransactionalReason
string
contactSuppressedMarketingSourceMessageId
string
ID of the message that caused this contact marketing suppression.
contactSuppressedMarketingRawReason
string
Raw SMTP/provider error string for this contact marketing suppression.
contactSuppressedTransactionalSourceMessageId
string
ID of the message that caused this contact transactional suppression.
contactSuppressedTransactionalRawReason
string
Raw SMTP/provider error string for this contact transactional suppression.
marketerSuppressedMarketingSourceMessageId
string
ID of the message that caused this marketer marketing suppression.
marketerSuppressedMarketingRawReason
string
Raw SMTP/provider error string for this marketer marketing suppression.
marketerSuppressedTransactionalSourceMessageId
string
ID of the message that caused this marketer transactional suppression.
marketerSuppressedTransactionalRawReason
string
Raw SMTP/provider error string for this marketer transactional suppression.
contact
object
显示子属性
contact.accountIds
array of string
The list of account ids for the contact.
contact.attributes
object
A map of key-value pairs, where the values are boolean, number, or string, or
a non-empty array of those, or null
contact.companyRefs
array of string
The list of company references for the contact.
contact.computedDisplayName
string
The computed display name for the contact. It can be derived, in the following order if available,
from the displayName attribute, the firstName attribute, the emailaddress identifier,
or the phonenumber identifier.
contact.createdAt
string
必填
contact.featuredIdentifiers
array of object
The list of identifiers for the contact.
显示子属性
contact.featuredIdentifiers.key
string
必填
The identifier key. This can be from your custom identifier key or one of the built-in keys.
contact.featuredIdentifiers.value
string
必填
The identifier value. This represents the actual value for the identifier.
contact.id
string
必填
The unique identifier for the contact.
contact.identifierCount
integer
The number of identifiers for the contact.
contact.isAnonymous
boolean
Whether the contact is anonymous. A contact is anonymous if it has no identifiers,
or only has visitorid identifiers.
contact.listIds
array of string
The list of list ids for the contact.
contact.updatedAt
string
必填
contact.workspaceId
string
Your workspace identifier.
代码示例
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/suppressions/{platformId}/{identifierValue}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'